From 3781a12cbd461a7fa95b36b952b93b5536dc53f5 Mon Sep 17 00:00:00 2001
From: Matthias van de Meent <boekewurm+postgres@gmail.com>
Date: Wed, 20 Mar 2024 14:37:07 +0100
Subject: [PATCH v1 1/5] Remove some unused fields from nodes in execnodes.h:

  TidScanState.tss_htup's last use was removed in 2019 with 2e3da03e
  AggState.combinedproj's last use was removed in 2018 with 69c3936a
---
 src/include/nodes/execnodes.h | 2 --
 1 file changed, 2 deletions(-)

diff --git a/src/include/nodes/execnodes.h b/src/include/nodes/execnodes.h
index c1a65bad2a..6365beb701 100644
--- a/src/include/nodes/execnodes.h
+++ b/src/include/nodes/execnodes.h
@@ -1846,7 +1846,6 @@ typedef struct TidScanState
 	int			tss_NumTids;
 	int			tss_TidPtr;
 	ItemPointerData *tss_TidList;
-	HeapTupleData tss_htup;
 } TidScanState;
 
 /* ----------------
@@ -2530,7 +2529,6 @@ typedef struct AggState
 #define FIELDNO_AGGSTATE_ALL_PERGROUPS 53
 	AggStatePerGroup *all_pergroups;	/* array of first ->pergroups, than
 										 * ->hash_pergroup */
-	ProjectionInfo *combinedproj;	/* projection machinery */
 	SharedAggInfo *shared_info; /* one entry per worker */
 } AggState;
 
-- 
2.40.1

